## freeciv 2.1.8-0maemo5v1

=== debian/changelog ===
freeciv (2.1.8-0maemo5v1) fremantle; urgency=low

  * Modified for Maemo 5
    -removed Maemo 4 dependencies not needed in Maemo 5
    -optified all files
    -script changed to run client in windowed mode by default

 -- Ricky Brent <debpkg@rickybrent.com>  Fri, 25 Dec 2009 01:32:36 -0800

freeciv (2.1.8-0maemo1) diablo; urgency=low

  * New upstream version

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Fri, 12 Dec 2008 23:34:10 +0200

freeciv (2.1.6-0maemo1) diablo; urgency=low

  * maemo_map_control.diff, maemo_resolution.diff, maemo_tasknavigator.diff

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Wed, 01 Oct 2008 02:59:52 +0300

freeciv (2.1.6-0maemo0) diablo; urgency=low

  * New version
    -removed mthumb

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 30 Sep 2008 21:05:17 +0300

freeciv (2.1.5-2maemo0) diablo; urgency=low

  * Debian to Maemo release
    - data files can be installed to mmc
    - no ggz
    - sounds are included in data
    - locale is in /usr/share/games
    - only sdl client
    - binaries in /usr/bin

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 30 Sep 2008 01:39:15 +0300

freeciv (2.1.5-2) unstable; urgency=low

  * Export datarootdir=/usr/share in debian/rules, so make calls can
    have a correct value for LOCALEDIR (closes: #489455). Thanks Loïc Minier
    for the help to solve this.

 -- Jordi Mallach <jordi@debian.org>  Tue, 08 Jul 2008 18:34:23 +0200

freeciv (2.1.5-1) unstable; urgency=low

  * New upstream release (closes: #487910).
  * Update 99_build_without_ggzd.diff for 2.1.5 with the newest upstream
    ggz.m4. This includes all changes in the patch (closes: #485159).
  * Get rid of all debian/*.dirs files.
  * Fix libgtk2.0-dev versioned build dep to please lintian.
  * Add a a README.source with information on generating
    99_build_without_ggzd.diff and bump Standards-Version to 3.8.0.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Jun 2008 20:15:52 +0200

freeciv (2.1.4-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Depend on ttf-unfonts-core, where UnDotum.ttf moved (closes: #468948).

  [ Clint Adams ]
  * Update 99_build_without_ggzd.diff for 2.1.4.

 -- Clint Adams <schizo@debian.org>  Sat, 10 May 2008 13:03:37 -0400

freeciv (2.1.3-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Use relative paths to the SDL client fonts, as freeciv specfile
    parsing will assume all paths are relative to freeciv's datadir.

  [ Clint Adams ]
  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Jan 2008 12:06:33 -0500

freeciv (2.1.2-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Make the SDL client depend on ttf-dejavu-core, ttf-sazanami-gothic,
    ttf-unfonts and ttf-arphic-uming, and remove the font files from the
    -data package, which had grown in size way too much in 2.1.x. For now,
    Recommends or Suggests can't be used as the client won't start at all
    if the fonts listed in the themespec are missing.
  * New patch patches/themes_sdl_use_system_fonts.diff, to make the themespec
    reference the system-wide Debian fonts for the SDL client.
  * Delete patch data_Makefile_use_sysconfdir.diff, as it has been fixed
    differently in ggz.m4.

  [ Clint Adams ]
  * Bump to Standards-Version 3.7.3.
  * Pass --with-ggzd-confdir=/etc/ggzd to configure.
  * New patch to not require ggzd at build-time.

 -- Clint Adams <schizo@debian.org>  Sat, 29 Dec 2007 13:35:59 -0500

freeciv (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all common ggz configure flags now that ggz.m4 appears to
    be fixed upstream, and the correct path should be autodetected.
  * Pass --without-ggz-client to the sdl and xaw3d targets, as advised
    by upstream, as GGZ support in these clients is untested or incomplete.
    This removes unnecessary dependencies and leaves GTK+ as the only
    GGZ-capable client.
    Also, pass --without-ggz-server to the clients, and --without-ggz-client
    to the server.
  * Pass --enable-noregistry to avoid GGZ module registration on install.
  * Remove links file for -sound-standard, as it doesn't depend on -data
    and therefore docs can't be shared.
  * Build-Depend on x11proto-core-dev, not x-dev.
  * Require libggz* (>= 0.0.14) as per configure.in (closes: #450761).
  * Wrap build-depends.
  * Remove XS- prefixes to Vcs-Browser and Vcs-Svn control fields.
  * Install civclient.dsc in /usr/share/ggz/modules/freeciv, not /etc/ggz;
    modify postinst/preinst accordingly.
  * Update data_Makefile_use_sysconfdir.diff and data_dsc_use_bindir.diff.
  * Remove debian/patches/gtk_cma_gcc42.diff, not really needed according to
    Jason.
  * Remove a note about the old package reorganisation from README.Debian,
    as the information isn't useful or accurate anymore (closes: 403858).
  * Don't install our own .desktop file for -client-gtk, as Freeciv now
    ships one based on ours. Purposely don't ship freeciv-server.desktop,
    I don't think it should exist at all.
  * Move icons dir to the correct directory, and install it in -data.
  * Don't ship our own .png icons, so the freedesktop icons can be used
    instead. Hence, drop Build-Dep on sharutils. It'd be great if someone
    would provide xpm icons based on the official ones. :)

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Nov 2007 22:59:50 +0100

freeciv (2.1.0-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Bump dependencies to the 2.1 series.
  * Add a new binary package for the new SDL client.
  * Add a new binary package for stdsounds (freeciv-sound-standard).
    Packaging bits taken from the never-released freeciv-sound-standard
    package (closes: #191796).
  * Add Homepage, XS-Vcs-Svn and XS-Vcs-Browser control fields.
  * Add GGZ support on all builds. For now, this requires specifying where
    GGZ is installed in Debian probably due to GGZ bugs.
  * Add Build-Depends on libsdl-image1.2-dev, libggzmod-dev, libggzdmod-dev


## freeciv 2.1.8-0maemo5v2

=== debian/changelog ===
freeciv (2.1.8-0maemo5v2) fremantle; urgency=low

  * Changed postinst/postrm scripts to use sh instead of bash.

 -- Ricky Brent <debpkg@rickybrent.com>  Sat, 26 Dec 2009 13:01:31 -0800

## freeciv 2.2.1-1

=== data/toolbarbuttons/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# data/toolbarbuttons/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkglibdir = $(libdir)/freeciv
pkgincludedir = $(includedir)/freeciv
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = data/toolbarbuttons
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/dependencies/m4/mkstemp.m4 \
	$(top_srcdir)/dependencies/m4/stdlib_h.m4 \
	$(top_srcdir)/m4/auth.m4 $(top_srcdir)/m4/c99.m4 \
	$(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/debug.m4 $(top_srcdir)/m4/freetype2.m4 \
	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/ggz.m4 \
	$(top_srcdir)/m4/glib-gettext.m4 $(top_srcdir)/m4/gtk-2.0.m4 \
	$(top_srcdir)/m4/gtk2-client.m4 \
	$(top_srcdir)/m4/hildon-client.m4 $(top_srcdir)/m4/hildon.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/locale.m4 $(top_srcdir)/m4/ngettext.m4 \
	$(top_srcdir)/m4/no-client.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/readline.m4 $(top_srcdir)/m4/sdl-client.m4 \
	$(top_srcdir)/m4/sdl.m4 $(top_srcdir)/m4/sound.m4 \
	$(top_srcdir)/m4/vsnprintf.m4 $(top_srcdir)/m4/win32-client.m4 \
	$(top_srcdir)/m4/x.m4 $(top_srcdir)/m4/xaw-client.m4 \
	$(top_srcdir)/version.in $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/bootstrap/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
pkgdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = $(datadir)/freeciv/toolbarbuttons
ACLOCAL = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run tar
AR = i486-linux-gnu-ar
AUDIO_SDL_FALSE = 
AUDIO_SDL_TRUE = #
AUTH_CFLAGS = 
AUTH_LIBS = 
AUTOCONF = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run autoconf
AUTOHEADER = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run autoheader
AUTOMAKE = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run automake-1.8
AUTO_DEPS = yes
AWK = gawk
CAIRO_CFLAGS = 
CAIRO_LIBS = 
CATALOGS =  ar.gmo cs.gmo ca.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo fa.gmo fi.gmo fr.gmo he.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo nl.gmo nb.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wpointer-arith -Wcast-align -Wmissing-prototypes -Wmissing-declarations -Wall -g -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -O2
CLIENT_FALSE = #
CLIENT_GUI_BEOS_FALSE = 
CLIENT_GUI_BEOS_TRUE = #
CLIENT_GUI_FTWL_FALSE = 
CLIENT_GUI_FTWL_TRUE = #
CLIENT_GUI_GTK_2_0_FALSE = 
CLIENT_GUI_GTK_2_0_TRUE = #
CLIENT_GUI_HILDON_FALSE = #
CLIENT_GUI_HILDON_TRUE = 
CLIENT_GUI_SDL_FALSE = 
CLIENT_GUI_SDL_TRUE = #
CLIENT_GUI_STUB_FALSE = 
CLIENT_GUI_STUB_TRUE = #
CLIENT_GUI_WIN32_FALSE = 
CLIENT_GUI_WIN32_TRUE = #
CLIENT_GUI_XAW_FALSE = 
CLIENT_GUI_XAW_TRUE = #
CLIENT_LIBS =  -lm 
CLIENT_TRUE = 
COMMON_LIBS = -lm -lz
CONFIGURE_DEPENDENCIES =  $(top_srcdir)/version.in
CPP = i486-linux-gnu-gcc -E
CPPFLAGS =  -DLOCALEDIR="\"${datarootdir}/locale\"" -DDEFAULT_DATA_PATH="\".:data:~/.freeciv:${datarootdir}/freeciv\""
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -Wpointer-arith -Wcast-align -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
FT2_CFLAGS = 
FT2_CONFIG = 
FT2_LIBS = 
FTWL_CFLAGS = 
FTWL_FALSE = 
FTWL_OPENGL_FALSE = 
FTWL_OPENGL_TRUE = #
FTWL_SDL_FALSE = 
FTWL_SDL_TRUE = #
FTWL_TRUE = #
FTWL_X11_FALSE = 
FTWL_X11_TRUE = #
GGZDMOD_INCLUDES = 
GGZDMOD_LDFLAGS = 
GGZMOD_INCLUDES = 
GGZMOD_LDFLAGS = 
GGZ_CLIENT_FALSE = 
GGZ_CLIENT_TRUE = #
GGZ_CONFIG = 
GGZ_GTK_FALSE = 
GGZ_GTK_INCLUDES = 
GGZ_GTK_LDFLAGS = 
GGZ_GTK_TRUE = #
GGZ_SERVER_FALSE = 
GGZ_SERVER_TRUE = #
GMOFILES =  ar.gmo cs.gmo ca.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo fa.gmo fi.gmo fr.gmo he.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo nl.gmo nb.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GNULIB_CALLOC_POSIX = 0
GNULIB_GETSUBOPT = 0
GNULIB_MALLOC_POSIX = 0
GNULIB_MKDTEMP = 0
GNULIB_MKSTEMP = 0
GNULIB_PUTENV = 0
GNULIB_REALLOC_POSIX = 0
GNULIB_RPMATCH = 0
GNULIB_SETENV = 0
GNULIB_STRTOD = 0
GNULIB_UNSETENV = 0
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = 
GTK_LIBS = 
GUI_beos_CFLAGS = 
GUI_beos_CXXFLAGS = 
GUI_beos_LDFLAGS = 
GUI_beos_LIBS = 
GUI_ftwl_CFLAGS = 
GUI_ftwl_CXXFLAGS = 
GUI_ftwl_LDFLAGS = 
GUI_ftwl_LIBS = 
GUI_gtk2_CFLAGS = 
GUI_gtk2_CXXFLAGS = 
GUI_gtk2_LDFLAGS = 
GUI_gtk2_LIBS = 
GUI_hildon_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GUI_hildon_CXXFLAGS = 
GUI_hildon_LDFLAGS = 
GUI_hildon_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
GUI_sdl_CFLAGS = 
GUI_sdl_CXXFLAGS = 
GUI_sdl_LDFLAGS = 
GUI_sdl_LIBS = 
GUI_stub_CFLAGS = 
GUI_stub_CXXFLAGS = 
GUI_stub_LDFLAGS = 
GUI_stub_LIBS = 
GUI_win32_CFLAGS = 
GUI_win32_CXXFLAGS = 
GUI_win32_LDFLAGS = 
GUI_win32_LIBS = 
GUI_xaw_CFLAGS = 
GUI_xaw_CXXFLAGS = 
GUI_xaw_LDFLAGS = 
GUI_xaw_LIBS = 
GZIP = /scratchbox/tools/bin/gzip
HAVE_CALLOC_POSIX = 1
HAVE_GETSUBOPT = 1
HAVE_MALLOC_POSIX = 1
HAVE_MKDTEMP = 1
HAVE_REALLOC_POSIX = 1
HAVE_RPMATCH = 1
HAVE_SETENV = 1
HAVE_STRTOD = 1
HAVE_UNSETENV = 1
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HOST_PATH_SEPARATOR = :
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = -pthread -losso -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBGGZ_INCLUDES = 
LIBGGZ_LDFLAGS = 
LIBICONV = 
LIBOBJS = 
LIBS =  
LIBTOOL = $(SHELL) $(top_builddir)/libtool --preserve-dup-deps
LIB_GGZ = 
LIB_GGZDMOD = 
LIB_GGZMOD = 
LIB_GGZ_GTK = 
LN_S = ln -s
LTLIBICONV = 
LTLIBOBJS = 
LUA_AS_DEPENDENCY = $(top_builddir)/dependencies/lua-5.1/src/liblua.a
LUA_CFLAGS = -I$(top_srcdir)/dependencies/lua-5.1/src
LUA_LIBS = $(top_builddir)/dependencies/lua-5.1/src/liblua.a
MAJOR_VERSION = 2
MAKEINFO = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run makeinfo
MAKE_CLIENT_INCLUDE_FALSE = 
MAKE_CLIENT_INCLUDE_TRUE = #
MAKE_DATA_FALSE = #
MAKE_DATA_TRUE = 
MINGW32_FALSE = 
MINGW32_TRUE = #
MINOR_VERSION = 2
MKINSTALLDIRS = bootstrap/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
NETWORK_CAPSTRING_MANDATORY = +2.2b
NETWORK_CAPSTRING_OPTIONAL = trade_illness
NMEDIT = 
OBJEXT = o
PACKAGE = freeciv
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = 
PNG_LIBS = 
POFILES =  ar.po cs.po ca.po da.po de.po el.po en_GB.po eo.po es.po et.po fa.po fi.po fr.po he.po hu.po it.po ja.po ko.po lt.po nl.po nb.po no.po pl.po pt.po pt_BR.po ro.po ru.po sv.po tr.po uk.po zh_CN.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = i486-linux-gnu-ranlib
REPLACE_MKSTEMP = 0
REPLACE_PUTENV = 0
REPLACE_STRTOD = 0
SDL_CFLAGS = 
SDL_CONFIG = 
SDL_LIBS = 
SED = /scratchbox/tools/bin/sed
SERVER_FALSE = #
SERVER_LIBS =  -lm 
SERVER_TRUE = 
SET_MAKE = 
SHELL = /bin/sh
SOUND_CFLAGS = 
SOUND_LIBS = 
STRIP = i486-linux-gnu-strip
SVNREV_FALSE = 
SVNREV_TRUE = #
TOLUA = $(top_builddir)/dependencies/tolua-5.1/src/bin/tolua
TOLUA_AS_DEPENDENCY = $(top_builddir)/dependencies/tolua-5.1/src/lib/libtolua.a
TOLUA_CFLAGS = -I$(top_srcdir)/dependencies/tolua-5.1/include
TOLUA_LIBS = $(top_builddir)/dependencies/tolua-5.1/src/lib/libtolua.a
UNAME = uname
USE_NLS = yes
UTILITY_LIBS =  -lz -lbz2
VERSION = 2.2.1
VERSION_LABEL = 
VERSION_WITHOUT_LABEL = 2.2.1
VOID_UNSETENV = 0
WINDRES = 
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
ggz_config = 
ggz_gtk_includes = 
ggz_gtk_libraries = 
ggzdatadir =

## freeciv 2.1.8-0maemo5v3

=== debian/changelog ===
freeciv (2.1.8-0maemo5v3) fremantle; urgency=low

  * Restored fullscreen mode and made it the default
  * Moved options button down
  * Added a task switcher button

 -- Ricky Brent <debpkg@rickybrent.com>  Mon, 28 Dec 2009 20:31:57 -0800

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
XSBC-Original-Maintainer: Debian Freeciv Maintainers <pkg-freeciv-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Kyle McMartin <kyle@debian.org>, Clint Adams <schizo@debian.org>
Standards-Version: 3.8.0
Homepage: http://www.freeciv.org/
Vcs-Svn: svn://svn.debian.org/pkg-freeciv/trunk/freeciv
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freeciv/trunk/freeciv/
Build-Depends: quilt (>= 0.42),
               debhelper (>= 4.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.2.1),
               libpng12-dev,
               libreadline4-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
#              libggzmod-dev (>= 0.0.14),
#              libggzdmod-dev (>= 0.0.14),
#              libggz-gtk-dev (>= 0.0.14),
               x11proto-core-dev,
               zlib1g-dev,
               autotools-dev,
#              xaw3dg-dev


Package: freeciv-server
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
Suggests: freeciv-client
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

#Package: freeciv-client-xaw3d
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
#Suggests: freeciv-server, freeciv-sound
#Provides: freeciv-client
#Description: Civilization turn based strategy game (Xaw3D client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the Xaw3D version of the Freeciv client.

#Package: freeciv-client-gtk
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), freeciv-server (>= 2.1.0), ggzcore-bin
#Suggests: freeciv-sound
#Provides: freeciv-client, freeciv
#Description: Civilization turn based strategy game (GTK+ client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.6), freeciv-server (>= 2.1.8)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.
 .
 Game data files can be installed to internal memory card
XB-Maemo-Display-Name: Freeciv
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1woKFTkE9eZW
 ygAACqVJREFUeNqtV1uMndV1/ta+/NdzzpyZ8RkPMx7GxoxxDAZMjA3UGBJC
 uVgNSrg0kUBJCk7V5qFIaZWol0BbqaqUlz70CSeFJjRRW6kkTQjBBmJzacHE
 imsH4tiGhBnPeK6eOdf/si+rD1NbRYXKqrqlrb0ftvb6tPb69vo+YmZczCAi
 umO9SLZcrjZVamJtGKOfyAW2dFwUvmgt0fK5acydmuWTb2bI+SIvpos5d9OY
 qN51c/zw2mG5W0ZiKxE3lHQVwEnnDVvrnS1F2xs131nA8cnT7tDBE/bJtzrc
 /T8DICL6o3vD0fXjwRdrNbW3UpPDAOCMR95zppvZjnWu8N4S4IJIy0qaKB3G
 AdgJLE756ZVl/8TbJ/JvfOuoPcvMvGXz5v5PPXD/VW8fO3bkme99vwcA6sOQ
 /fnvxDdctiF4rFrVn5BKSJt7npkq56fO2B822262l2GdZ5EK0gJQPUl2JtF2
 cOwSumvDxnB43eXB6FCOrw005M7BRv74FZsm3vn0/Q/8cRzHt+ZZ/hCAX3xg
 Bh6+I4yuuVr/1til+qkwVInNUc7NmJ+/dLD3ulCSGgPqnkpFDsexEkEgQFJA
 SgFm4m7mFmeXymeXp/Py+qvUdesvi7ZW+mTYXLbdM7hnvowm6j/+0XOP/OTg
 oe8xs/9AAH/71cp968bU30SxHLUZ3Guv5t9+5x3rGwP6NysVORInJIJIIo4l
 dCABISCkBIFgLSPLHZe5W5idLX6ibdm7dVf6UG1Qq8z24+DR/gNf/8ardzGz
 +x81QET0119Kdl6xOXwhTiltN/3s8z/Ovts9R7vWDKjtlT5BaUWirx4gSQMk
 aQilFZx38BAgqQAPFIVFnpXodkusLJuTMtm8uP2K1o3V6jx1OqZz5Gj341/7
 u95Pz7NEnEfyZ5+PRsbHg8eCUKTesd+/P/vHhRm1va+qrk9TQbWqQrWmkVY1
 okQiSjWSSoi0miBJI0ilQEojqcSI0xDVaojBgWBTmpQ73nhLv5D3nO3rV5Ur
 rwof+8pno+HzcS8AGB8PvhjH8nbv2Bx+I3966qTbVovdzUEsoSIJKAcHC08W
 UaIQxQGiJEKtXkd9YA0GGg30DdQRpQnSaopaX4Io1SDznjKdd0ZePdx92hgu
 G8P6jmuuC/e+D8BNG2SlVpGPCCLZXPYnXjlYtpJQ7AoCglYWMgwhlEAQEpJE
 Q2uFKA6hdAAdJ5BhjCjpQ1IbRJRWECUxhJbQoYSQQLUirzy7wGphoXxLa6Ea
 Q3Lv9etlAgCCiOgz9yVfUEqOCAKe3997xXX5Nq0hdADogKGoizAKUa1VEIUK
 WgswEVQYgESAMK5B6BRBWIUKYugwgAMQRQppGiCMBBp9+pYXXu69CWau9ql1
 v/97yeeJiMSeq2XcGJC3gIGVFds6ftTMKUEblQKkBEgAQjKSmJDEEeIkgQ40
 wjBAoEPEcQqQgvOAEoAUgFYCA/UEaRIiCiW0JsSRHM16Il9csstgYHy9unXP
 R1Ukdu8OJ6wVWwHgzLR9mQxuJyBYDQwoSQi0ALwBfAYRVKF0CK0UrHNotzN0
 OgWIPdqdNkyRwzkD5yyMLdHqdFEUJQAvKjHdPTljDpAAiMTVn7w3nBBhQMPs
 MeQs89I5PisYWwFASIIUBCKAaHVvnQW5NmRYQ7uTwZTl6ixKmDKHsznyvItW
 s4mVZgtlWUIrAogBZsSaxufm/Iox7NljKE3ksFKC+iVxhZjpY7v03pee+a/y
 9ID3gHMeprQwTgKs0e124fwZxLVhFMah2VpAUQJRpEEwKIoe4C1sWcCU9kKl
 MzMEkb5hm/xdCUASVQJB/QqMAEwSzDClh/MM6xjGepQlg72EkgpREEBJCQGA
 4OGKFpodRlFasHOwpQLBg30BOAewAzuLIi/hHIM9YC2jKJlBTERQghAIJgHS
 gCHilw67l7wHTMkoCg9rAfYEaxi9bol2O0O3m6PMSyzOz6HXmgWD4FwBW7QB
 l8GbAqYsVp/FWMABxARnGXlu8dyh8oeLy1yYElSUJBSkNPUBuChmuX6jGhEh
 2HgmYximZOS5h1QlpHawTkBrgSI3yIscIAGfLUAnayBcG96VEMxgZljjYHKL
 1W5NaHUd2plHf0Ou9T0rPQvutgXL7WNqtFJTnxzs53isgTUTV0dkQejkjG7P
 o7QexvFqJhwgSCDLDIyxsKUHew/pDayP4C2h3czRahs0VxwW5kvMLzqcaztE
 FWDLlRq7PypHqxGJ+XOy+e5J+y1lcjO7MC3nw1DX1zQ8No07rF8XYXbOY3GZ
 MTnlsLTo8e57FuyBKHAAMYTgVXYoAaVKEHXhmWCsgRCMSk0gqQlMjAsM9gOD
 KZAmgJcSS00JY+2cDsoZ9ebR8tSdg+r42UlsWl4QiKqqs2YNx8NDJNeNMK67
 UoAJ8BQjLwjNpkeWAUW+WqweQJgSwoiR1Bj1RoAoYLBhoMfwPYItCQWkn1pA
 T4EqSnso7Y69/HJ5Sr34a862z9lDa8fkvUQePz+Wv7LcxODGjXrH+g0KQ6MC
 Ah5BAMQhkA4B8HxetwGKoVKGTAEVr3K+twzkLQFTSizNeMyddTh9Knu7cak4
 c83m8E4HxsyUPbj/lz5XzMzbBunJ++6UX/U1OTLUoC1HjuVP/Ozfs6sAJI2G
 wNgGjeFLJJJUoFqXiBIBHQBCEKQCQKsUMzkja68yqNUWODdfYulcgXbLl6JP
 /GDnb1Tuz7oexrvp7/xz/vfMzAoAfrbEna/sifaRpD/VsRjbtkXv3n+2eEp5
 7F1c8rrbKzBzBohTIE0JYUgII4JShCCQYDC8Z3gmeEcoSkbeY+S5QGvF+2bP
 /9O996RbUNKGEuyaXb/vpzO++z5ROj1p9xHRjsqgvGvkUnnHPZ+58fRy1ij+
 7Zl/5W4HgbVA3APyjBGGjCACtCII6UBEq5+nB0wJGAPkPUaWset5+s7H7o6z
 oVg+2OswvLI/mpwq932gJPvctXLHJWP6xagu0iiqYXqucfy5Hxx/IWA8LICa
 lEAYAUG4up7vmCAADHi3GtwYIMuQ9Sz+Yc8DCW8Y1A+YDH0y8p3ZJfPxv3w6
 vyDJ3idKlZT6Sw/e/Ubd/WKb89OQAM6cdgfe/pU7sLLobxPAdQJoEK0GFnK1
 /V4A4AHjsGw8/mPdR9SLN98Y3FAjuSfvAWGVp7qle/RPvtn7l/8ugi88gdZa
 PfjQQ789sfP6TaffDKf4vcmBsC7Txqj6xA11+ZEzk/b5t95z+8uCxwnYJS0m
 yCIhAJ6Qe+BdD7we1emXt92irxjrV4+4Lo01S4+kjk6n9I+e/JV99kOd0R88
 +uhNl01c/u3XX3vtu68cPPT1HWJ288CQfDzqF7dLLaQSBJRsmx1/vHT8ugFO
 eHBJAkgSoSsJNtWqcmc9EddqEWhrgawoXVDl/R3jH/+LJ7PD/6s1+/Iffnlg
 ZWVl54v7D7z268nJFhHRnkGMDKyVe6NE7BWJGBFEEARIYoDhPLMdGo5Qqyml
 FKQ1QJ55eO8R9LkZw/xEu/D7/uqp/OyHmdWLMqdbq1S5dlR+IU7pFitoKxGG
 lERFEGS1JiEUuTCWbRVgQcfuuFP+4PefNU8ennLd/xd3fJ4lN69BfNmomBBa
 DCuFfpIIlAKkQhlUaDmuiNkjR8yp50747GLt+X8CTRJpI6UvnV0AAAAASUVO
 RK5CYII=
 ====



Package: freeciv-data
Architecture: all
Conflicts: freeciv (<< 1.14.0-5)
Depends: 
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

#Package: freeciv-sound-standard
#Architecture: all
#Provides: freeciv-sound
#Description: Civilization turn based strategy game (standard sound pack)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the standard sound pack for Freeciv. It provides Freeciv clients
# with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

PACKAGE=freeciv

INSTALL = install
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS  = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 
endif

# Use soft-float and thumb mode if it enabled.
#ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
#  CFLAGS += -mthumb
#endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif


# Work around upstream creating tarballs with *ancient* autotools
# which don't know about $datarootdir.
export datarootdir=/opt/freeciv/share

COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
		 --sysconfdir=/etc --prefix=/opt/freeciv \
		 --datadir=\$${prefix}/share/games \
		 --bindir=\$${prefix}/bin --mandir=\$${prefix}/share/man \
		 --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE) \
		 --enable-debug=no

#build: patch build-xaw3d build-gtk build-sdl build-server
build: patch build-sdl build-server

build-server:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-server
	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client \
		--without-ggz-client && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-server-stamp

build-xaw3d:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-xaw3d
	(cd build-xaw3d && 	\
	 ../configure $(COMMON_CONFIG) --disable-server --enable-client=xaw \
	 	--with-xaw3d --without-zlib \
		--without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-xaw3d-stamp

build-gtk:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-gtk
	(cd build-gtk && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
		--without-zlib --without-ggz-server --enable-noregistry && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-gtk-stamp

build-sdl:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-sdl
	(cd build-sdl && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl \
		--without-zlib --without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
	
	touch build-sdl-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	
	-rm -rf build-stamp build-xaw3d build-gtk build-sdl build-server 
	-rm -f install-stamp build-server-stamp build-xaw3d-stamp build-gtk-stamp build-sdl-stamp
	-rm -f config.cache
	-rm -f config.sub config.guess
	-rm -f bootstrap/config.sub bootstrap/config.guess

	dh_clean

	-rm -f debian/*~ Makefile Makefile.bak core */Makefile

install: install-stamp
#install-stamp: build-server-stamp build-gtk-stamp build-xaw3d-stamp build-sdl-stamp
install-stamp: build-server-stamp build-sdl-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	(cd build-server; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)

#	(cd build-xaw3d; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
#		localedir=$(DESTDIR)/usr/share/locale install)
#	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-xaw3d

#	(cd build-gtk; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
#		localedir=$(DESTDIR)/usr/share/locale install)
#	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-gtk
#	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
#	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv

	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	mv debian/tmp/opt/freeciv/bin/civclient debian/tmp/opt/freeciv/bin/civclient-sdl

	cp debian/civclient-sdl.sh debian/tmp/opt/freeciv/bin

	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/icons/hicolor/32x32/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/icons/hicolor/16x16/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/icons/hicolor/48x48/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/icons/hicolor/64x64/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/icons/hicolor/128x128/apps
	cp data/icons/16x16/freeciv-client.png debian/tmp/opt/freeciv/share/icons/hicolor/16x16/apps
	cp data/icons/32x32/freeciv-client.png debian/tmp/opt/freeciv/share/icons/hicolor/32x32/apps
	cp data/icons/48x48/freeciv-client.png debian/tmp/opt/freeciv/share/icons/hicolor/48x48/apps
	cp data/icons/64x64/freeciv-client.png debian/tmp/opt/freeciv/share/icons/hicolor/64x64/apps
	cp data/icons/128x128/freeciv-client.png debian/tmp/opt/freeciv/share/icons/hicolor/128x128/apps

	rm -f $(CURDIR)/debian/tmp/opt/freeciv/share/applications/*.desktop
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/applications/hildon
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/dbus-1/services
	cp debian/freeciv-client-sdl.desktop debian/tmp/opt/freeciv/share/applications/hildon
	cp debian/freeciv-client-sdl.service debian/tmp/opt/freeciv/share/dbus-1/services
	
	# Move stuff that gets lost thanks to ${datadir}
	#mv debian/tmp/usr/share/games/icons debian/tmp/usr/share

	dh_install

	chown -R user.root debian/freeciv-data/opt/freeciv/share/games/freeciv/*

	# Remove sounds from -data
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*

	# Remove ttf fonts from -data, now provided by dependencies.
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdocs -i
	dh_installchangelogs -i
#	dh_installmenu -i
#	dh_installman -i
	dh_compress -i
	-gzip -9 debian/freeciv-data/opt/freeciv/share/games/freeciv/scenario/*.sav
	dh_fixperms  --exclude /opt/freeciv/share/games/
	dh_installdeb -i
	dh_gencontrol -i
	#maemo-optify
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -a
#	dh_installexamples -a
	dh_installchangelogs -a ChangeLog
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's.
	for i in freeciv-server freeciv-client-gtk freeciv-client-xaw3d freeciv-client-sdl; do \
		rm -rf $(CURDIR)/debian/$i/opt/freeciv/share/doc/$i; \
	done
#	dh_link -a
#	dh_installmenu -a
	dh_strip -a
	dh_compress -a
	dh_fixperms  -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	#maemo-optify
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freeciv 2.1.10

=== debian/changelog ===
freeciv (2.1.10-1) unstable; urgency=low

  [ Karl Goetz ]
  * New upstream release
  * Bump standards-version to 3.8.3
  * Update watch file
    - Now version 3
    - Switched to gna.org instead of sf.net
  * Switch readline dev dependency to libreadline-dev instead of
  libreadline5-dev. Closes: #553758
  * Changed compat to 5
  * Relaxed dependencies on freeciv-server for sdl and gtk clients,
  freeciv-server is now a recommends
  * Stop d/rules trying to gzip scenarios - upstream does this.
  * Remove export of datarootdir in d/rules, upstream seems to handle
  this correctly now.
  * Deleted 01_configure_ac_localedir.diff from d/patches/ and from series.
  * Create per-client .desktop files. Closes: #470978, LP: #190555
  * Desktop files mention which client they are (sdl/gtk/xaw3d).
  * Add myself to uploaders on Clint's suggestion.

  [ Clint Adams ]
  * Change watch file to grab bz2 tarballs.
  * Switch to 3.0 (quilt) source format.
  * Remove quilt code from debian/rules.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Nov 2009 23:24:00 -0500

freeciv (2.1.9-1) unstable; urgency=low

  * New upstream version.
    - Update 99_build_without_ggzd.diff.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jun 2009 22:41:51 -0400

freeciv (2.1.8-1) unstable; urgency=low

  * New upstream release.  closes: #495740.
  * Disable GGZ support (can be re-enabled when ggz 1.0 is available).
  * Change maintainer to Debian Games Team.

 -- Clint Adams <schizo@debian.org>  Sat, 29 Nov 2008 22:25:59 -0500

freeciv (2.1.5-3) unstable; urgency=low

  * Change maintainer to Debian Games Team.
  * Update Vcs-Git and Vcs-Browser fields to reflect new use of Debian
    Games Team git repository.

 -- Clint Adams <schizo@debian.org>  Thu, 04 Dec 2008 23:08:16 -0500

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <schizo@debian.org>, Karl Goetz <karl@kgoetz.id.au>
Standards-Version: 3.8.3
Homepage: http://www.freeciv.org/
Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
Build-Depends: quilt (>= 0.42),
               debhelper (>= 5.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.2.1),
               libpng12-dev,
               libreadline-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libggzmod-dev (>= 0.0.14),
               libggzdmod-dev (>= 0.0.14),
               libggz-gtk-dev (>= 0.0.14),
               x11proto-core-dev,
               xaw3dg-dev,
               zlib1g-dev,
               autotools-dev

Package: freeciv-server
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
Suggests: freeciv-client
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-client-xaw3d
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
Recommends: freeciv-server (>= 2.1.0)
Suggests: freeciv-sound
Provides: freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Xaw3D version of the Freeciv client.

Package: freeciv-client-gtk
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), ggzcore-bin
Recommends: freeciv-server (>= 2.1.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), ttf-dejavu-core, ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
Recommends: freeciv-server (>= 2.1.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.

Package: freeciv-data
Architecture: all
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-sound-standard
Architecture: all
Provides: freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=freeciv

INSTALL = install
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS  = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 
endif

COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
		 --sysconfdir=/etc --prefix=/usr \
		 --datadir=\$${prefix}/share/games \
		 --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
		 --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE) \
		 --enable-debug=no

build: build-xaw3d build-gtk build-sdl build-server

build-server:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-server
	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client \
		--without-ggz-client && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-server-stamp

build-xaw3d:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-xaw3d
	(cd build-xaw3d && 	\
	 ../configure $(COMMON_CONFIG) --disable-server --enable-client=xaw \
	 	--with-xaw3d --without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-xaw3d-stamp

build-gtk:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-gtk
	(cd build-gtk && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
		--without-ggz-server --enable-noregistry && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-gtk-stamp

build-sdl:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-sdl
	(cd build-sdl && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl \
		--without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-sdl-stamp

clean:
	dh_testdir
	dh_testroot
	
	-rm -rf build-stamp build-xaw3d build-gtk build-sdl build-server 
	-rm -f install-stamp build-server-stamp build-xaw3d-stamp build-gtk-stamp build-sdl-stamp
	-rm -f config.cache
	-rm -f config.sub config.guess
	-rm -f bootstrap/config.sub bootstrap/config.guess

	dh_clean

	-rm -f debian/*~ Makefile Makefile.bak core */Makefile

install: install-stamp
install-stamp: build-server-stamp build-gtk-stamp build-xaw3d-stamp build-sdl-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	(cd build-server; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)

	(cd build-xaw3d; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-xaw3d
	cp debian/tmp/usr/share/applications/freeciv.desktop debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	sed -i -e 's/=Freeciv/=Freeciv (xaw3d)/' debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	sed -i -e 's/Exec=civclient/Exec=civclient-xaw3d/' debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	sed -i -e 's/GTK;//' debian/tmp/usr/share/applications/freeciv-xaw3d.desktop

	(cd build-gtk; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-gtk
	cp debian/tmp/usr/share/applications/freeciv.desktop debian/tmp/usr/share/applications/freeciv-gtk.desktop
	sed -i -e 's/=Freeciv/=Freeciv (gtk)/' debian/tmp/usr/share/applications/freeciv-gtk.desktop
	sed -i -e 's/Exec=civclient/Exec=civclient-gtk/' debian/tmp/usr/share/applications/freeciv-gtk.desktop
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv

	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-sdl
	mv debian/tmp/usr/share/applications/freeciv.desktop debian/tmp/usr/share/applications/freeciv-sdl.desktop
	sed -i -e 's/=Freeciv/=Freeciv (sdl)/' debian/tmp/usr/share/applications/freeciv-sdl.desktop
	sed -i -e 's/Exec=civclient/Exec=civclient-sdl/' debian/tmp/usr/share/applications/freeciv-sdl.desktop
	sed -i -e 's/GTK;//' debian/tmp/usr/share/applications/freeciv-sdl.desktop

	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/pixmaps
	cp debian/civclient.xpm debian/tmp/usr/share/pixmaps
	cp debian/civserver.xpm debian/tmp/usr/share/pixmaps
	
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share

	dh_install

	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*

	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installmenu -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -a
#	dh_installexamples -a
#	dh_installchangelogs -a ChangeLog
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's.
	for i in freeciv-server freeciv-client-gtk freeciv-client-xaw3d freeciv-client-sdl; do \
		rm -rf $(CURDIR)/debian/$i/usr/share/doc/$i; \
	done
	dh_link -a
	dh_installmenu -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freeciv 2.1.10-1maemo5v2

=== debian/changelog ===
freeciv (2.1.10-1maemo5v2) fremantle; urgency=low

  * Fixed font issues with new build
  * Hid default mouse cursor

 -- Ricky Brent <debpkg@rickybrent.com>  Tue, 29 Dec 2009 08:43:13 -0800

freeciv (2.1.10-1maemo5v1) fremantle; urgency=low

  * New upstream version

 -- Ricky Brent <debpkg@rickybrent.com>  Tue, 29 Dec 2009 07:13:51 -0800

freeciv (2.1.8-0maemo5v3a) fremantle; urgency=low

  * Updated maintainer

 -- Ricky Brent <debpkg@rickybrent.com>  Tue, 29 Dec 2009 06:44:20 -0800
